Web forum is in read-only mode. Login as active registered customer for write access
  Forum Search   New Posts New Posts

pfw XE3 Version error

 Post Reply Post Reply
Author
Leal Federico View Drop Down
New Member
New Member
Avatar

Joined: 03 Dec 2012
Posts: 3
Post Options Post Options   Quote Leal Federico Quote  Post ReplyReply Direct Link To This Post Topic: pfw XE3 Version error
    Posted: 03 Dec 2012 at 6:46pm
Hi,

I just Bought Delphi XE3 and I upgrade the plugin framework to XE3 versión.

when i open the "demo 1" program and try to "build All" i get an error:

"[dcc32 Fatal Error] pfcorePkgDXE2.dpk(28): E2225 Never-Build package 'vcl' must be recompiled"

(there is not error, the package name is pfcorePkgDXE2)....

what i should i do?

Previsuly, I had Delphi XE and the corresponding Plugin framework versión and everything worked great

Sorry for my english
Back to Top
Bruno Fierens View Drop Down
TMS Support
TMS Support
Avatar

Joined: 11 May 2010
Posts: 7966
Post Options Post Options   Quote Bruno Fierens Quote  Post ReplyReply Direct Link To This Post Posted: 03 Dec 2012 at 6:48pm
Please install the XE3 specific packages and change the package name dependencies in projects to pfcorePkgDXE3
Back to Top
Leal Federico View Drop Down
New Member
New Member
Avatar

Joined: 03 Dec 2012
Posts: 3
Post Options Post Options   Quote Leal Federico Quote  Post ReplyReply Direct Link To This Post Posted: 04 Dec 2012 at 9:39am
thanks, everything it's Ok....

in addition to change in the "requires" clause of each packege, you must change the package name in the section "runtamie packeges" of the host application
Back to Top
Leal Federico View Drop Down
New Member
New Member
Avatar

Joined: 03 Dec 2012
Posts: 3
Post Options Post Options   Quote Leal Federico Quote  Post ReplyReply Direct Link To This Post Posted: 04 Dec 2012 at 9:42am
Clarification: The installer of PFW was correct, the problem was with the demos
Back to Top
 Post Reply Post Reply

Forum Jump Forum Permissions View Drop Down